'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.allDescendantNoPadAndMargin = exports.noPadAndMargin = exports.mediaRem = exports.media = exports.ellipsisWithWidth = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\n        @media (max-width: ', 'px) {\n            ', ';\n        }\n    '], ['\n\n        @media (max-width: ', 'px) {\n            ', ';\n        }\n    ']),
    _templateObject2 = _taggedTemplateLiteral(['\n\n        @media (max-width: ', 'rem) {\n            ', ';\n        }\n    '], ['\n\n        @media (max-width: ', 'rem) {\n            ', ';\n        }\n    ']);

var _styledComponents = require('styled-components');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var htmlFontSize = 20;

var screenWidths = {
    giant: 1170,
    desktop: 992,
    tablet: 768,
    phone: 420,
    iphone5: 330
};

var allDescendantNoPadAndMargin = '\n    * {\n        padding: 0;\n        margin: 0;\n    }\n';

var noPadAndMargin = '\n    padding: 0;\n    margin: 0;\n';

var ellipsisWithWidth = function ellipsisWithWidth(width) {
    return '\n        width: ' + width + ';\n        white-space: nowrap;\n        overflow: hidden;\n        text-overflow: ellipsis;\n    ';
};

var media = Object.keys(screenWidths).reduce(function (accumulator, label) {

    var width = screenWidths[label];

    accumulator[label] = function () {
        return (0, _styledComponents.css)(_templateObject, width, _styledComponents.css.apply(undefined, arguments));
    };

    return accumulator;
}, {});

var mediaRem = Object.keys(screenWidths).reduce(function (accumulator, label) {

    var remSize = screenWidths[label] / htmlFontSize;

    accumulator[label] = function () {
        return (0, _styledComponents.css)(_templateObject2, remSize, _styledComponents.css.apply(undefined, arguments));
    };

    return accumulator;
}, {});

exports.ellipsisWithWidth = ellipsisWithWidth;
exports.media = media;
exports.mediaRem = mediaRem;
exports.noPadAndMargin = noPadAndMargin;
exports.allDescendantNoPadAndMargin = allDescendantNoPadAndMargin;